Download it now!
Bug 120832 - KDE5: Some options are disabled in Format -> Text submenu
Summary: KDE5: Some options are disabled in Format -> Text submenu
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-23 12:03 UTC by Vera Blagoveschenskaya
Modified: 2018-11-29 07:15 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
format-text-kde5 (133.77 KB, image/png)
2018-10-23 12:04 UTC, Vera Blagoveschenskaya
Details
format-text-gtk3 (144.92 KB, image/png)
2018-10-23 12:04 UTC, Vera Blagoveschenskaya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vera Blagoveschenskaya 2018-10-23 12:03:28 UTC
Description:
Some options are disabled in Format -> Text submenu

Steps to Reproduce:
1. LO Writer -> Format -> Text

Actual Results:
There are some disabled rows in the bottom:
- Half-width
- Full-width
- Hiragana
- Katakana

Also in Format -> Text there is disabled 'Asian Phonetic Guide'

See screenshots




Expected Results:
These options are enabled or absent


Reproducible: Always


User Profile Reset: No



Additional Info:
Reproduced for

Version: 6.2.0.0.alpha1
Build ID: ff46ad24d1d3cbcea45895520483ed1fd4ff488b
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded

DO NOT reproduced for

Version: 6.2.0.0.alpha1
Build ID: ff46ad24d1d3cbcea45895520483ed1fd4ff488b
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: gtk3; 
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded
Comment 1 Vera Blagoveschenskaya 2018-10-23 12:04:27 UTC
Created attachment 145930 [details]
format-text-kde5
Comment 2 Vera Blagoveschenskaya 2018-10-23 12:04:49 UTC
Created attachment 145931 [details]
format-text-gtk3
Comment 3 Xisco Faulí 2018-10-23 14:24:49 UTC
I can reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

Nice catch!
Comment 4 Katarina Behrens (Inactive) 2018-11-28 11:58:23 UTC
I see all those items enabled both in kde5 and gtk3 

Please retest, it is entirely possible that this was fixed along with bug 121417
Comment 5 Vera Blagoveschenskaya 2018-11-29 07:15:32 UTC
Tested with

Version: 6.3.0.0.alpha0+
Build ID: b15b1a2a90fa4c239ff8a6a33e73ff50ea422abf
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-28_06:21:05
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

Bug is not reproduced.
Status: Resolved -> Verified